<%@page contentType="text/html;charset=utf-8" pageEncoding="utf-8" session="false"%>
<%@ page import="java.util.Map,com.ibm.kc.config.KCConfig,com.ibm.kc.utils.Locales" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">	
		<!-- this has to come right after head element to force IE to use the latest compatibility version -->
	<title>IBM Knowledge Center</title>
	<meta content="$locale" http-equiv="Content-Language" />
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="DC.Rights" content="© Copyright IBM Corp. 2013, 2014"/>
	<meta name="Keywords" content="publications, information, documentation, libraries, infocenters, knowledge center"/>
	<meta name="DC.Date" scheme="iso8601" content="2013-01-01"/>
	<meta name="Source" content="v17 Template Generator, Template 17.02"/>
	<meta name="Security" content="Public"/>
	<meta name="Abstract" content="IBM product documentation is available in a searchable, browsable Knowledge Center--IBM's revolutionary approach to product information delivery."/>
	<meta name="IBM.Effective" scheme="W3CDTF" content="2013-01-01"/>
	<meta name="DC.Subject" scheme="IBM_SubjectTaxonomy" content="SU400"/>
	<meta name="Owner" content="IBM Knowledge Center/Pittsburgh/IBM"/>
	<meta name="DC.Language" scheme="rfc1766" content="en-us"/>
	<meta name="IBM.Country" content="ZZ"/>
	<meta name="Robots" content="noindex,nofollow"/>
	<meta name="DC.Type" scheme="IBM_ContentClassTaxonomy" content="CT701"/>
	<meta name="Description" content="IBM product documentation is available in a searchable, browsable Knowledge Center--IBM's revolutionary approach to product information delivery."/>
	
	<%
	//Fetch the context path from the server
	String contextPath = request.getContextPath();
	%>
		
	<!--[if IE]>
    	<script type="text/javascript">
    		var ieDM = document.documentMode;
    		if (ieDM <=7 && ieDM > 0) {
    			location.href = "<%= contextPath%>" + "/unsupported.jsp";
    		}
	    </script>
	<![endif]-->
	
	<script type="text/javascript">		
		var contextPath = "<%= contextPath%>";

		//Determine which language KC and dojo should load...
		//Step a: look at the url
		var lang = undefined;
		var dir = "ltr";
		var query = location.search.substring(1);  
		var pairs = query.split("&"); 
		for (var i = 0; i < pairs.length; i++) { 
			var pair = pairs[i];
			var eqPos = pair.indexOf('=');
			if (eqPos == -1) continue;
			var arg = pair.substring(0, eqPos);
			if (arg === "lang") {	//this has to match Constants.BROWSER_STATE_PARAMETER_LANGUAGE
				lang = pair.substring(eqPos+1); 
				break;
			}
		}
		//Step b: look at the browser setting
		if (!lang) {
			<%
			//browser will set this header according to the language setting 
			String acceptLanguageHeader = request.getHeader("Accept-Language");	//this is a long string (comma separated values) of languages set in the browser. we should only use the first one
			if (acceptLanguageHeader != null) {
                String[] languages = acceptLanguageHeader.split(",");
                if (languages.length > 0) {
                    String[] firstLanguage = languages[0].split(";");
                    if (firstLanguage.length > 0) {
                        acceptLanguageHeader = firstLanguage[0];
                        acceptLanguageHeader = Locales.of(acceptLanguageHeader).toString();
                    }
                }
			}
			%>
            lang = "<%= acceptLanguageHeader%>";
		}
		//Step c: if nothing found, default to English
		if (!lang) {
			lang = "en-us";
		}
		//Fix for dojo - this is required for dojo because it otherwise treats pt as pt-br
		if (lang === "pt") lang = "pt-pt";		
		
		var startsWith = function(string, prefix) {
			return (string.indexOf(prefix) == 0);
		};	
		if (startsWith(lang, "ar") || startsWith(lang, "he") || startsWith(lang, "iw")) {
			dir="rtl";
		}

		lang = lang.replace("_", "-").toLowerCase();
			 
	    var djConfig = {
		    parseOnLoad: false, 
		    async: true,
		    locale: lang,		
		    packages: [{name: 'idx', location: contextPath + '/js/idx' },
				  	   {name: 'kc', location: contextPath + '/js/kc' }
				  	  ]
	    };
	</script>
	
	<script type="text/javascript" src="<%= contextPath%>/js/dojo/dojo.js"></script>
	<script type="text/javascript" src="<%= contextPath%>/js/dojo/layer_dojo_prereqs.js"></script>
	<script type="text/javascript" src="<%= contextPath%>/js/dojo/layer_idx_prereqs.js"></script>
	<script type="text/javascript" src="<%= contextPath%>/js/dojo/layer_kc.js"></script>

	<link rel="shortcut icon" href="<%= contextPath%>/js/kc/themes/images/kc.ico"/>
	
	<style type="text/css">
		@import "<%= contextPath%>/js/kc/themes/css/kc.css";
		@import "<%= contextPath%>/js/idx/themes/oneui/oneui.css";		
	</style>
</head>

<body class="oneui kc">
	<script type="text/javascript">	
		require(["dojo/ready"], function(ready) {
			ready(function() {
				//Set the context path and other constants that will be user later on
				require(["kc/Constants"], function(Constants) {
					Constants.KC_ROOT = contextPath; 
					Constants.KC_API_ROOT = contextPath + "/api";

					//pass the exposed server side properties to the UI
					<%
					Map kcUIExposedProperties = KCConfig.getKCUIExposedProperties();
					pageContext.setAttribute("kcUIExposedProperties", kcUIExposedProperties);  
					%>
					<c:forEach items="${kcUIExposedProperties}" var="entry">
					Constants.SERVER_PROPERTIES['<c:out value="${entry.key}"/>'] = '<c:out value="${entry.value}"/>';
					</c:forEach>
					
					Constants.serverPropertiesLoaded();
				});
				
				//This is needed before the next block so we handle necessary hash/html5 URL handling and do the URL redirections before doing more computation
				require(["kc/state/URLReconciler"], function(URLReconciler) {				
				});

				//Load the frame and start KC
				require(["kc"], function(kc) {
				});
			});
		});
	</script>
	
	<div id="kcFrame"></div>
	<div id="kcToaster"></div>
</body>

</html>