<%@page contentType="text/html;charset=utf-8" pageEncoding="utf-8" session="false" isErrorPage="true"%>
<%@ page import="java.util.Locale,
				javax.ws.rs.core.Response.Status,
				com.ibm.kc.Messages,
				com.ibm.kc.utils.Locales,
				com.ibm.kc.utils.LocalizedMessages,
				com.ibm.kc.utils.HttpServletRequestLocaleProvider,
				com.ibm.kc.exceptions.KCExceptionWithTranslatedMessage,
				com.ibm.kc.utils.RequestUtils"%>
<%
	boolean isPrivate = false;
	String kcCode = null;	
	String KC_CODE_ENTITLED_CONTENT = "69255810-c018-11e3-8a33-0800200c9a66";
	String msgKey = null;
	String msgCode = "";
	
	if (exception != null){
		if (exception instanceof KCExceptionWithTranslatedMessage) { /* handle exception thrown in filter */
			KCExceptionWithTranslatedMessage translatedException = (KCExceptionWithTranslatedMessage) exception;
			int statCode = translatedException.getStatus().getStatusCode();
			response.setStatus(statCode);
			msgKey = translatedException.getMessageKey();
			msgCode = String.valueOf(statCode);
						
		} else { /* handle invokation of sendError() */
			msgKey = exception.getMessage();
			msgCode = RequestUtils.getValue(request, "msgCode", "");			
			isPrivate = (msgKey.equals(Messages.KEY_KC_NORIGHTMSG)) || (msgKey.equals(Messages.KEY_KC_UNAUTHMSG));
			if (isPrivate) {			
				kcCode = KC_CODE_ENTITLED_CONTENT;
			}
		}
	}	
		
	com.ibm.common.core.Provider<Locale> lp = new HttpServletRequestLocaleProvider(request);
	Locale locale = lp.get();
	String dir = "ltr";
	if (locale != null) {
		if (Locales.LOCALE_HE.equals(locale) || locale.getLanguage().equals(new Locale("he", "", "").getLanguage())) dir = "rtl";
    	else if (locale.getLanguage().equals(new Locale("ar", "", "").getLanguage())) dir = "rtl";
	} else {
		locale = Locale.ENGLISH;
	}
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html dir="<%= dir%>" lang="<%= locale.getLanguage()%>">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<title>IBM Knowledge Center</title>
	<%
		String contextPath = request.getContextPath();
	%>	
	
	<script type="text/javascript">	
		function load() {			
			<%
			String message = "";
			if(msgKey != null) {
				message = LocalizedMessages.getMessage(lp, msgKey);
			}
			
			String displayType = RequestUtils.getHtmlEscapedValue(request, "displayType", "short");
						
			%>
			var msg = "<%= message%>";
			var displayType = "<%= displayType%>";	
			document.getElementById("msg").innerHTML= msg;	
			if(displayType == "full") {			
			    document.getElementById('banner').style.display = "";      
			    document.getElementById('bannerBottomBar').style.display = "";	
			} else {
				document.getElementById('banner').style.display = "none";      
			    document.getElementById('bannerBottomBar').style.display = "none";
			}		
		}
	</script>
	
	<link rel="shortcut icon" href="<%= contextPath%>/js/kc/themes/images/KC_fav.ico"/>
	
	<style type="text/css">
		@import "<%= contextPath%>/js/kc/themes/css/kcmessage.css";
	</style>	
</head>
<body dir="<%= dir%>" kcStatus="<%= msgCode%>" <%= (kcCode == null) ? "" : " kcCode=\"" + kcCode + "\" " %> onload="load()">
    <div role="main">
	    <div id="banner" class="banner">
		    <div class="bannerInnerContainer">
			    <div class="bannerContainer">IBM Knowledge Center</div>
		    </div>
	    </div>	
	    <div id="bannerBottomBar" class="bannerBottomBar"></div>
	    <div class="content">
		    <div id="msg"></div>
	    </div>
	</div>
</body>
</html>