<%@page contentType="text/html;charset=utf-8" pageEncoding="utf-8" session="false"%>
<%@ page import="java.util.Locale,
				javax.ws.rs.core.Response.Status,
				com.ibm.kc.Messages,
				com.ibm.kc.utils.Locales,
				com.ibm.kc.utils.LocalizedMessages,
				com.ibm.kc.utils.HttpServletRequestLocaleProvider" %>
<%
	com.ibm.common.core.Provider<Locale> lp = new HttpServletRequestLocaleProvider(request);
	Locale locale = lp.get();
	String dir = "ltr";
	if (locale != null) {
		if (Locales.LOCALE_HE.equals(locale) || locale.getLanguage().equals(new Locale("he", "", "").getLanguage())) dir = "rtl";
    	else if (locale.getLanguage().equals(new Locale("ar", "", "").getLanguage())) dir = "rtl";
	}
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html dir="<%= dir%>">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<title>IBM Knowledge Center</title>
	
	<%
	String contextPath = request.getContextPath();
	%>
		
	<script type="text/javascript">
		function setCookie() {
			var contextPath = "<%= contextPath%>";
			var expiration = new Date();
			expiration.setDate(expiration.getDate() + 7);			
			document.cookie = "loadUnsupportedBrowser=true; expires=" + expiration.toUTCString() + "; path=" + escape(contextPath);
		}

		function load() {
			<%			
			String unsupportedMessage = LocalizedMessages.getMessage(lp, Messages.KEY_UNSUPPORTED_BROWSER_MESSAGE);			
			String browserList = LocalizedMessages.getMessage(lp, Messages.KEY_UNSUPPORTED_BROWSER_LIST);
			String proceedLink = LocalizedMessages.getMessage(lp, Messages.KEY_UNSUPPORTED_BROWSER_PROCEED_MESSAGE);
			%>
			var unsupportedMessage = "<%= unsupportedMessage%>";
			var browserList = "<%= browserList%>";
			var proceedLink = "<%= proceedLink%>";
			
			document.getElementById("unsupportedMessage").innerHTML= unsupportedMessage;
			document.getElementById("browserList").innerHTML= browserList;			
			document.getElementById("proceedLink").innerHTML= proceedLink;			
		}
		
		function proceed() {
			setCookie();
			window.location.reload(true);
		}
	</script>
	
	<link rel="shortcut icon" href="<%= contextPath%>/js/kc/themes/images/KC_fav.ico"/>
	
	<style type="text/css">
		@import "<%= contextPath%>/js/kc/themes/css/kcmessage.css";
	</style>	
</head>
<body dir="<%= dir%>" onload="load()">
	<div class="banner">
		<div class="bannerInnerContainer">
			<div class="bannerContainer">IBM Knowledge Center</div>
		</div>
	</div>
		
	<div class="bannerBottomBar"></div>
	<div class="content">
		<div id="unsupportedMessage"></div>
		<ul id="browserList"></ul>
		<a href="javascript:void(0)" id="proceedLink" onclick="proceed()"></a>
	</div>
	
</body>
</html>